#pragma once
#include "commonobject.h"

class CInv : public CCommonObject
{
public:
	CInv(CPoint TopLeftOrigin, CString strName);
	~CInv();

	void OutScreen(Graphics &g);
	void OutXml(stringstream &ss);
	CCommonObject* Clone(CPoint TopLeftOrigin, CString strNewName, int nRotation);
	CString GetObjectName(){return m_strUniqueName;}
	void SetConnection(bool bIn, int nPos, CCommonObject* pConnectTo);
	void DisconnectCObject(CCommonObject *pObject);
	void Disconnect();
	Rect* GetBounds();
private:
	void TransformCObject(Matrix* pMat);
	void CreateGPath();
public:

private:
};
